Subject: bug#23642: closed (Re: bug#23642: 24.5; Dired Line Movement, Region Handling)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Jun 2016 21:18:03 +0000

Your bug report

#23642: 24.5; Dired Line Movement, Region Handling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23642: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23642
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23642: 24.5; Dired Line Movement, Region Handling
From: Juri Linkov <[email-masked]>
To: Michael Cain <[email-masked]>
Cc: [email-masked]
Date: Mon, 06 Jun 2016 00:16:35 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> (I'm not sure if this is actually a bug or not, just because Dired is
>> used so frequently and I assume someone probably would've mentioned it
>> by now. Hopefully this feedback will be helpful anyway)
>>
>> I find myself using the writable feature of Dired rather frequently, but
>> one default of Dired's up/down movement (specifically the shift
>> selection in Transient Mark mode) is difficult to work around. That is,
>> I very often try to hold down shift and proceed down lines to create a
>> region, but this doesn't work by default.
>>
>> I've temporarily solved this by making wrapper functions around
>> `dired-next-line' and `dired-previous-line' that handle the shift
>> selection, but it also works to add an additional "^" argument to the
>> existing "p" in those functions.
>>
>> Thanks! :)
>
> You are right.  Shift-selection should be supported in WDired by this patch.

Thanks for the suggestion.  Pushed to master.

> BTW, do you think that in WDired it would be more useful to select
> rectangular regions because file names are organized in columns.
> Then, for example, ‘downcase-region’ and ‘upcase-region’ will work
> on the selected regions, not fail are they do now in WDired.

Subject: 24.5; Dired Line Movement, Region Handling
From: Michael Cain <[email-masked]>
To: [email-masked]
Date: Sat, 28 May 2016 17:25:44 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

(I'm not sure if this is actually a bug or not, just because Dired is
used so frequently and I assume someone probably would've mentioned it
by now. Hopefully this feedback will be helpful anyway)

I find myself using the writable feature of Dired rather frequently, but
one default of Dired's up/down movement (specifically the shift
selection in Transient Mark mode) is difficult to work around. That is,
I very often try to hold down shift and proceed down lines to create a
region, but this doesn't work by default.

I've temporarily solved this by making wrapper functions around
`dired-next-line' and `dired-previous-line' that handle the shift
selection, but it also works to add an additional "^" argument to the
existing "p" in those functions.

Thanks! :)